edu.northwestern.at.morphadorner.corpuslinguistics.tokenizer

## Class ApostrophesAreNotQuotesWordTokenizer

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.tokenizer.AbstractWordTokenizer
    - - edu.northwestern.at.morphadorner.corpuslinguistics.tokenizer.DefaultWordTokenizer
      - - edu.northwestern.at.morphadorner.corpuslinguistics.tokenizer.ApostrophesAreNotQuotesWordTokenizer

- All Implemented Interfaces:
    WordTokenizer, IsCloseable, UsesLogger

      public class ApostrophesAreNotQuotesWordTokenizer
      extends DefaultWordTokenizer
      implements WordTokenizer

  Word tokenizer that treats apostrophes as distinct from single quotes.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.tokenizer.AbstractWordTokenizer

      `abbreviations, aposTokens, apostropheCanBeQuote, coalesceAsterisks, coalesceHyphens, contractions, contractionsURL, hyphensMatcher, hyphensPattern, logger, preTokenizer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApostrophesAreNotQuotesWordTokenizer()` Create word tokenizer.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.tokenizer.DefaultWordTokenizer

      `addWordToSentence, extractWords`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.tokenizer.AbstractWordTokenizer

      `findWordOffsets, getLogger, getPreTokenizer, isClosingQuote, isLetterOrSingleQuote, isMultipleHyphens, isSingleOpeningQuote, loadContractions, preprocessToken, setAbbreviations, setAposTokens, setLogger, setPreTokenizer, splitToken`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.tokenizer.WordTokenizer

      `addWordToSentence, close, extractWords, findWordOffsets, getPreTokenizer, preprocessToken, setAbbreviations, setAposTokens, setPreTokenizer`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Constructor Detail

    - #### ApostrophesAreNotQuotesWordTokenizer

          public ApostrophesAreNotQuotesWordTokenizer()

      Create word tokenizer.